package com.ruoyi.system.service.columns;

import com.ruoyi.system.domain.columns.YjAppreciate;

import java.util.List;

/**
 * 瑜伽欣赏Service接口
 * 
 * @author ruoyi
 * @date 2025-10-29
 */
public interface IYjAppreciateService 
{
    /**
     * 查询瑜伽欣赏
     * 
     * @param id 瑜伽欣赏主键
     * @return 瑜伽欣赏
     */
    public YjAppreciate selectYjAppreciateById(String id);

    /**
     * 查询瑜伽欣赏列表
     * 
     * @param yjAppreciate 瑜伽欣赏
     * @return 瑜伽欣赏集合
     */
    public List<YjAppreciate> selectYjAppreciateList(YjAppreciate yjAppreciate);

    /**
     * 新增瑜伽欣赏
     * 
     * @param yjAppreciate 瑜伽欣赏
     * @return 结果
     */
    public int insertYjAppreciate(YjAppreciate yjAppreciate);

    /**
     * 修改瑜伽欣赏
     * 
     * @param yjAppreciate 瑜伽欣赏
     * @return 结果
     */
    public int updateYjAppreciate(YjAppreciate yjAppreciate);

    /**
     * 批量删除瑜伽欣赏
     * 
     * @param ids 需要删除的瑜伽欣赏主键集合
     * @return 结果
     */
    public int deleteYjAppreciateByIds(String[] ids);

    /**
     * 删除瑜伽欣赏信息
     * 
     * @param id 瑜伽欣赏主键
     * @return 结果
     */
    public int deleteYjAppreciateById(String id);
}
